AntiFeatures:
  NonFreeNet:
    en-US: Depends on Youtube for music and GitHub for update check
Categories:
  - Multimedia
License: Apache-2.0
AuthorName: fast4x
SourceCode: https://github.com/fast4x/RiMusic
IssueTracker: https://github.com/fast4x/RiMusic/issues
Changelog: https://github.com/fast4x/RiMusic/releases

RepoType: git
Repo: https://github.com/fast4x/RiMusic.git
Binaries: https://github.com/fast4x/RiMusic/releases/download/v%v/app-release.apk

Builds:
  - versionName: 0.6.14
    versionCode: 8
    commit: 43d9cf1ded7bd9cc0ba5945512cbbb7a0fb627f0
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    prebuild: sed -i -e '/android {/a lintOptions {isCheckReleaseBuilds = false}'
      build.gradle.kts
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 0.6.15.1
    versionCode: 10
    commit: 7b809abc3cf56439ff5e2e1c79bf916fd33bd6b0
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    prebuild: sed -i -e '/android {/a lintOptions {isCheckReleaseBuilds = false}'
      build.gradle.kts
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 0.6.16.1
    versionCode: 12
    commit: ef1b516773cb51747904d963387b3a2c4b0e5f49
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    prebuild: sed -i -e '/android {/a lintOptions {isCheckReleaseBuilds = false}'
      build.gradle.kts
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 0.6.18
    versionCode: 14
    commit: 1607af94be28bea412e83586a3b2d9490b5c8b4d
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    prebuild: sed -i -e '/android {/a lintOptions {isCheckReleaseBuilds = false}'
      build.gradle.kts
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 0.6.19
    versionCode: 15
    commit: 9943f497683867fa772972239bd161570384cff1
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    prebuild: sed -i -e '/android {/a lintOptions {isCheckReleaseBuilds = false}'
      build.gradle.kts
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 0.6.20
    versionCode: 16
    commit: 9ab2d82ccbfb309958c7671299a726cae364f84e
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    prebuild: sed -i -e '/android {/a lintOptions {isCheckReleaseBuilds = false}'
      build.gradle.kts
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 0.6.21
    versionCode: 17
    commit: d42a423460bf8ad02b8c3a27f14f373f2587e955
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    prebuild: sed -i -e '/android {/a lintOptions {isCheckReleaseBuilds = false}'
      build.gradle.kts
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 0.6.22
    versionCode: 18
    commit: 03337ce4ec6b9fc43992a827f9452ade8dd02b27
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    prebuild: sed -i -e '/android {/a lintOptions {isCheckReleaseBuilds = false}'
      build.gradle.kts
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 0.6.23
    versionCode: 19
    commit: 15add7422f299d9363b4d297d3c85d43a3b4a6b9
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    prebuild: sed -i -e '/android {/a lintOptions {isCheckReleaseBuilds = false}'
      build.gradle.kts
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 0.6.24
    versionCode: 20
    commit: 09a63f77321bd0bcedf534f87fca503d7ac484cf
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    prebuild: sed -i -e '/android {/a lintOptions {isCheckReleaseBuilds = false}'
      build.gradle.kts
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 0.6.27
    versionCode: 24
    commit: 14a59e6215d190980f42da17c7277211718a7aea
    subdir: app
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    prebuild: sed -i -e '/android {/a lintOptions {isCheckReleaseBuilds = false}'
      build.gradle.kts
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 0.6.28
    versionCode: 25
    commit: 58a7f94c49e9c3a2abba480e198bed31f97e6123
    subdir: app
    gradle:
      - yes
    binary: https://github.com/fast4x/RiMusic/releases/download/V%v/app-release.apk
    srclibs:
      - reproducible-apk-tools@v0.2.3
    prebuild: sed -i -e '/android {/a lintOptions {isCheckReleaseBuilds = false}'
      build.gradle.kts
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 0.6.28.1
    versionCode: 26
    commit: c726cf96faa3965a1270b6c62bd0c931fc8e723a
    subdir: app
    gradle:
      - yes
    binary: https://github.com/fast4x/RiMusic/releases/download/v%v/app-release.apk
    srclibs:
      - reproducible-apk-tools@v0.2.3
    prebuild: sed -i -e '/android {/a lintOptions {isCheckReleaseBuilds = false}'
      build.gradle.kts
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 0.6.29
    versionCode: 27
    commit: d22df158e3406cd20f781e1d5da7667698e137f4
    subdir: app
    gradle:
      - yes
    binary: https://github.com/fast4x/RiMusic/releases/download/v%v/app-release.apk
    srclibs:
      - reproducible-apk-tools@v0.2.3
    prebuild: sed -i -e '/android {/a lintOptions {isCheckReleaseBuilds = false}'
      build.gradle.kts
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 0.6.30
    versionCode: 28
    commit: caefc376158df1eb980f1e5735da6866ca9cd61e
    subdir: app
    gradle:
      - yes
    binary: https://github.com/fast4x/RiMusic/releases/download/v%v/app-release.apk
    srclibs:
      - reproducible-apk-tools@v0.2.3
    prebuild: sed -i -e '/android {/a lintOptions {isCheckReleaseBuilds = false}'
      build.gradle.kts
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 0.6.31
    versionCode: 29
    commit: 2c2408111bae9d0890e5673d455d030da1a02c3c
    subdir: app
    gradle:
      - yes
    binary: https://github.com/fast4x/RiMusic/releases/download/v%v/app-release.apk
    srclibs:
      - reproducible-apk-tools@v0.2.3
    prebuild: sed -i -e '/android {/a lintOptions {isCheckReleaseBuilds = false}'
      build.gradle.kts
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 0.6.32
    versionCode: 30
    commit: 1917c95f8ed04a4903ab32d3c2a1121a1f1db379
    subdir: app
    gradle:
      - yes
    binary: https://github.com/fast4x/RiMusic/releases/download/v%v/app-release.apk
    srclibs:
      - reproducible-apk-tools@v0.2.3
    prebuild: sed -i -e '/android {/a lintOptions {isCheckReleaseBuilds = false}'
      build.gradle.kts
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 0.6.33
    versionCode: 31
    commit: 2966b28d744cf94766df55589bd6164f142968e1
    subdir: app
    gradle:
      - yes
    binary: https://github.com/fast4x/RiMusic/releases/download/v%v/app-release.apk
    srclibs:
      - reproducible-apk-tools@v0.2.3
    prebuild: sed -i -e '/android {/a lintOptions {isCheckReleaseBuilds = false}'
      build.gradle.kts
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 0.6.34
    versionCode: 32
    commit: f050cd264238d040803f177f83a1f3fad025ccd6
    subdir: app
    gradle:
      - yes
    binary: https://github.com/fast4x/RiMusic/releases/download/v%v/app-release.apk
    srclibs:
      - reproducible-apk-tools@v0.2.3
    prebuild: sed -i -e '/android {/a lintOptions {isCheckReleaseBuilds = false}'
      build.gradle.kts
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 0.6.35
    versionCode: 33
    commit: 840b71797218b20aab00e4fdfd8d967993022ef9
    subdir: app
    gradle:
      - yes
    binary: https://github.com/fast4x/RiMusic/releases/download/v%v/app-release.apk
    srclibs:
      - reproducible-apk-tools@v0.2.3
    prebuild: sed -i -e '/android {/a lintOptions {isCheckReleaseBuilds = false}'
      build.gradle.kts
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 0.6.36
    versionCode: 34
    commit: 5b15c902287b56b1118891d23f881ed98de9fcf3
    subdir: app
    gradle:
      - yes
    binary: https://github.com/fast4x/RiMusic/releases/download/v%v/app-release.apk
    srclibs:
      - reproducible-apk-tools@v0.2.3
    prebuild: sed -i -e '/android {/a lintOptions {isCheckReleaseBuilds = false}'
      build.gradle.kts
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 0.6.39
    versionCode: 38
    commit: d2020cbc69f8eaaf63b5ccfc3bf55dc3b4ec078b
    subdir: app
    gradle:
      - yes
    binary: https://github.com/fast4x/RiMusic/releases/download/v%v/app-release.apk
    srclibs:
      - reproducible-apk-tools@v0.2.3
    prebuild: sed -i -e '/android {/a lintOptions {isCheckReleaseBuilds = false}'
      build.gradle.kts
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 0.6.40
    versionCode: 39
    commit: 196de60080f958c43148e9415bbef4ad715e38f3
    subdir: app
    gradle:
      - yes
    binary: https://github.com/fast4x/RiMusic/releases/download/v%v/app-release.apk
    srclibs:
      - reproducible-apk-tools@v0.2.3
    prebuild: sed -i -e '/android {/a lintOptions {isCheckReleaseBuilds = false}'
      build.gradle.kts
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 0.6.40.1
    versionCode: 40
    commit: 7a2f4c2cabde69cf3670583ce7af4519853e6e3e
    subdir: app
    gradle:
      - yes
    binary: https://github.com/fast4x/RiMusic/releases/download/v%v/app-release.apk
    srclibs:
      - reproducible-apk-tools@v0.2.3
    prebuild: sed -i -e '/android {/a lintOptions {isCheckReleaseBuilds = false}'
      build.gradle.kts
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 0.6.41
    versionCode: 41
    commit: 1cd6b4b0261f47202230cc1934425282cb37b82a
    subdir: app
    gradle:
      - yes
    binary: https://github.com/fast4x/RiMusic/releases/download/v%v/app-release.apk
    srclibs:
      - reproducible-apk-tools@v0.2.3
    prebuild: sed -i -e '/android {/a lintOptions {isCheckReleaseBuilds = false}'
      build.gradle.kts
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

AllowedAPKSigningKeys: a1ba8bd74af8f92cb3719a072113a218cfaec02bce2b736a280e31d8cd11808c

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 0.6.41
CurrentVersionCode: 41
